{% extends 'base.html.twig' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block header %}
    {{ parent() }}
    <h2>Ici on gère les {{ title }} !!</h2>
{% endblock %}

{% block main %}
    <p>Les sites</p>
    {% if sites %}
        <ul class="list-group">
            {% for site in sites %}
                <li class="list-group-item zololo">
                    <div class="row">
                        <div class="col-md-5 m-2">
                            {{ site.nom }}
                        </div>
                        <div class="col-md-3 m-2">
                            <a href="{{ path('site_update', {'id': site.id}) }}">
                                <button class="btn btn-sm btn-outline-primary">
                                    Modifier
                                </button>
                            </a>
                            <a href="{{ path('site_delete', {'id': site.id}) }}">
                                <button type="button" class="btn btn-sm btn-outline-danger">
                                    Supprimer
                                </button>
                            </a>
                        </div>
                    </div>
                </li>
            {% endfor %}

        </ul>
    {% endif %}
    <div class="row">
        <div class="col-md-5 m-2">
        </div>
        <div class="col-md-3 m-2">
            <a href="{{ path('site_new') }}">
                <button class="btn btn-outline-success">
                    Créer nouveau site
                </button>
            </a>
        </div>
    </div>
{% endblock %}

